For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
      • GETList webhooks
      • POSTCreate a webhook
      • GETRetrieve a webhook
      • PUTUpdate a webhook
      • DELDelete a webhook
      • GETRetrieve OIDC public keys
LogoLogo
Contact SalesGet Support
Middesk APIWebhooks

Retrieve OIDC public keys

GET
https://api.middesk.com/v1/webhooks/oidc_keys
GET
/v1/webhooks/oidc_keys
$curl https://api.middesk.com/v1/webhooks/oidc_keys
200Retrieved
1{
2 "keys": [
3 {
4 "kty": "kty",
5 "use": "use",
6 "alg": "alg",
7 "kid": "kid",
8 "x5t": "x5t",
9 "n": "n",
10 "e": "e",
11 "x5c": [
12 "x5c"
13 ]
14 }
15 ]
16}
Returns the public keys used for OIDC JWT signature verification
Was this page helpful?
Previous

List documents for a business

Next
Built with

Response

OIDC keys retrieved
keyslist of objects